#ifndef COMMON_H_
#define COMMON_H_
/* ==========================================================================*/
/* - - - - - - - - - - - C o m m o n . H   - - - - - - - - - - - - - - - - - */
/* ==========================================================================*/
/*    common Definition File for the Bootloader program                      */
/*  Created   2005-11-03	msw                                              */
/*  Modified  2005-11-14    msw                                              */
/* . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . */


#define true	-1
#define false	0
#define TRUE	-1
#define FALSE	0

/*---------------------------------------------------------------------------*/
/*--------> T Y P E D E F S   U N I O N S    S T R U C T U R E S <-----------*/
/*---------------------------------------------------------------------------*/
/*         make c types a little more descriptive                            */
typedef unsigned char U8BIT;	// Unsigned 8 bit variables
typedef char S8BIT;				// Signed 8 bit variables
typedef unsigned short U16BIT;	// Unsigned 16 bit variables
typedef short S16BIT;			// Signed 16 bit variables
typedef unsigned int U32BIT;	// Unsigned 32 bit variables
typedef int	S32BIT;				// Signed 32 bit variables
typedef int BOOL;		//

typedef union			//highly non portable way to access bytes of int
{
	struct b4
	{
		U8BIT b0;
		U8BIT b1;
		U8BIT b2;
		U8BIT b3;
	}bytes;
	U32BIT all;
}t32BITS;

#endif /*COMMON_H_*/
